curl --request PATCH \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/schedules/{schedule_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"enabled": true,
"everySeconds": 250,
"runNow": true
}'
{
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"jobType": "string",
"everySeconds": 250,
"enabled": true,
"nextRunAt": "2026-08-31T14:22:05Z",
"lastRunAt": "2026-08-31T14:22:05Z",
"lastError": "string",
"consecutiveFailures": 1,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"cronExpression": "string",
"triggerType": "string",
"maxConsecutiveFailures": 1
}
Update an existing schedule.
Update an existing schedule.
PATCH
/
v1
/
tenants
/
{tenant_id}
/
schedules
/
{schedule_id}
curl --request PATCH \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/schedules/{schedule_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"enabled": true,
"everySeconds": 250,
"runNow": true
}'
{
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"jobType": "string",
"everySeconds": 250,
"enabled": true,
"nextRunAt": "2026-08-31T14:22:05Z",
"lastRunAt": "2026-08-31T14:22:05Z",
"lastError": "string",
"consecutiveFailures": 1,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"cronExpression": "string",
"triggerType": "string",
"maxConsecutiveFailures": 1
}
Path parameters
string
required
Tenant identifier
string (uuid)
required
Schedule identifier
Request body
object
boolean
integer
boolean
When true, forces
next_run_at to now() (and enables the schedule if enabled is unset)Response
object
string (uuid)
required
string
required
string
required
integer
required
boolean
required
string (date-time)
required
string (date-time)
string
integer
required
string (date-time)
required
string (date-time)
required
string
string
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Schedule updated |
401 | Unauthorized |
404 | Schedule not found |
422 | Validation error |
424 | Database not configured |
curl --request PATCH \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/schedules/{schedule_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"enabled": true,
"everySeconds": 250,
"runNow": true
}'
{
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"jobType": "string",
"everySeconds": 250,
"enabled": true,
"nextRunAt": "2026-08-31T14:22:05Z",
"lastRunAt": "2026-08-31T14:22:05Z",
"lastError": "string",
"consecutiveFailures": 1,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"cronExpression": "string",
"triggerType": "string",
"maxConsecutiveFailures": 1
}
Last modified on August 31, 2026